#!/bin/sh

home=`pwd`;

#ss7boost=ss7boost_i_0.2.19
ss7boost=ss7boost_i_0.2.39
#NICE="nice -n -5 "
NICE=
RENICE="renice -15 -p "

sangoma_mgd -term

kill -TERM $(pidof asterisk);


make clean
make
if [ $? -ne 0 ]; then
	exit 1;
fi
make install

if [ "$1" = "all" ]; then
	perl /usr/src/asterisk/contrib/scripts/astxs -install chan_woomera.c
	if [ $? -ne 0 ]; then
		exit 1;
	fi
fi 

cd ss7box
#./ss7boosti0.2.11 --term
./$ss7boost --term
sleep 1
#./ss7boosti0.2.11 -v
eval "$NICE ./$ss7boost" 
sleep 5

if [ "$RENICE" != "" ]; then
	echo "Running RNICE on boost"
	eval "$RENICE $(pidof $ss7boost)"
fi

cd $home


./clog.sh


if [ 1 -eq 0 ]; then
asterisk -c
else
eval "$NICE asterisk"
#eval "$NICE asterisk -p"
sleep 1
asterisk -c -r
fi
